# Embedded TestBench

## What is it?

The Embedded TestBench is a testsuite which allows the creation and execution of testplans for hardware / software tests. It contains a plugin system, which allows an easy extension of it´s functionality. The execution results could be saved and exported in different formats

## Prerequisites
### Nugetpackages
- create acess token in GitLab
    - required scopes: **api**
- close Visual Studio
- open Terminal
- navigate to root folder of ETB
```cmd
dotnet nuget add source https://git.matheads.de/api/v4/projects/1405/packages/nuget/index.json --name "FastReport (GitLab)" --username "<username>" --password "<acess Token>"
```
```cmd
dotnet restore .\src\EmbeddedTestBench.sln
```
### Windows

- .net5.0 runtime
- Python3.x when using the Python Plugin
    - Python module "multipledispatch"   

### Linux

- .net5.0 runtime
- Python3.x when using the Python Plugin
    - Python module "multipledispatch"   
- libgdiplus

### Variables in own Fork

You have to add a variable to your fork´s CI/CD Settings/Variables. 

The key is "FastReportProjectID" and the value for the origin/fastreport repository is "1217"

## How to use